#include "guess.h"
int find_number(int MAX) {
    int st = 1, dr = MAX, rez = -1;
    while(st <=dr){
        int mij = (st + dr) / 2;
        if(smaller(mij)){
            dr = mij -1;
        }else{
            rez = mij;
            st = mij + 1;
        }
    }
    return rez;
}

